New: LI.FI's API for Agentic Commerce is live — MCP Server, Agent Skills, and AI-first docs. Learn more
curl --request GET \
--url https://li.quest/v1/analytics/transfers{
"transfers": [
{
"transactionId": "0x8c58bf99537331b38f15f5ca9718b6fcf86bdb678a2935cf0ca2106066f07550",
"sending": {
"txHash": "0x37b56ab04df432aa84f14d94f3af2ef65c10141df37ffe60f216c0505fc43178",
"txLink": "https://explorer.zksync.io/tx/0x37b56ab04df432aa84f14d94f3af2ef65c10141df37ffe60f216c0505fc43178",
"amount": "1000000",
"token": {
"address": "0x3355df6D4c9C3035724Fd0e3914dE96A5a83aaf4",
"chainId": 324,
"symbol": "USDC",
"decimals": 6,
"name": "USD Coin",
"coinKey": "USDC",
"logoURI": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48/logo.png",
"priceUSD": "1.00"
},
"chainId": 324,
"gasPrice": "250000000",
"gasUsed": "1428505",
"gasToken": {
"address": "0x0000000000000000000000000000000000000000",
"chainId": 324,
"symbol": "ETH",
"decimals": 18,
"name": "ETH",
"coinKey": "ETH",
"logoURI": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2/logo.png",
"priceUSD": "1676.49"
},
"gasAmount": "357126250000000",
"gasAmountUSD": "0.60",
"amountUSD": "1.0000",
"timestamp": 1698076232,
"value": "0"
},
"receiving": {
"txHash": "0x37b56ab04df432aa84f14d94f3af2ef65c10141df37ffe60f216c0505fc43178",
"txLink": "https://explorer.zksync.io/tx/0x37b56ab04df432aa84f14d94f3af2ef65c10141df37ffe60f216c0505fc43178",
"amount": "999255",
"token": {
"address": "0x493257fD37EDB34451f62EDf8D2a0C418852bA4C",
"chainId": 324,
"symbol": "USDT",
"decimals": 6,
"name": "Tether USD",
"coinKey": "USDT",
"logoURI": "https://static.debank.com/image/brise_token/logo_url/0xc7e6d7e08a89209f02af47965337714153c529f0/3c1a718331e468abe1fc2ebe319f6c77.png",
"priceUSD": "1.0000"
},
"chainId": 324,
"gasPrice": "250000000",
"gasUsed": "1428505",
"gasToken": {
"address": "0x0000000000000000000000000000000000000000",
"chainId": 324,
"symbol": "ETH",
"decimals": 18,
"name": "ETH",
"coinKey": "ETH",
"logoURI": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2/logo.png",
"priceUSD": "1676.49"
},
"gasAmount": "357126250000000",
"gasAmountUSD": "0.60",
"amountUSD": "1.0000",
"timestamp": 1698076232,
"value": "0"
},
"lifiExplorerLink": "https://explorer.li.fi/tx/0x37b56ab04df432aa84f14d94f3af2ef65c10141df37ffe60f216c0505fc43178",
"fromAddress": "0x552008c0f6870c2f77e5cc1d2eb9bdff03e30ea0",
"toAddress": "0x552008c0f6870c2f77e5cc1d2eb9bdff03e30ea0",
"tool": "solver3",
"status": "DONE",
"substatus": "COMPLETED",
"substatusMessage": "The transfer is complete."
}
]
}This endpoint can be used to retrieve a list of transfers filtered by certain properties. Returns a maximum of 1000 transfers.
curl --request GET \
--url https://li.quest/v1/analytics/transfers{
"transfers": [
{
"transactionId": "0x8c58bf99537331b38f15f5ca9718b6fcf86bdb678a2935cf0ca2106066f07550",
"sending": {
"txHash": "0x37b56ab04df432aa84f14d94f3af2ef65c10141df37ffe60f216c0505fc43178",
"txLink": "https://explorer.zksync.io/tx/0x37b56ab04df432aa84f14d94f3af2ef65c10141df37ffe60f216c0505fc43178",
"amount": "1000000",
"token": {
"address": "0x3355df6D4c9C3035724Fd0e3914dE96A5a83aaf4",
"chainId": 324,
"symbol": "USDC",
"decimals": 6,
"name": "USD Coin",
"coinKey": "USDC",
"logoURI": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48/logo.png",
"priceUSD": "1.00"
},
"chainId": 324,
"gasPrice": "250000000",
"gasUsed": "1428505",
"gasToken": {
"address": "0x0000000000000000000000000000000000000000",
"chainId": 324,
"symbol": "ETH",
"decimals": 18,
"name": "ETH",
"coinKey": "ETH",
"logoURI": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2/logo.png",
"priceUSD": "1676.49"
},
"gasAmount": "357126250000000",
"gasAmountUSD": "0.60",
"amountUSD": "1.0000",
"timestamp": 1698076232,
"value": "0"
},
"receiving": {
"txHash": "0x37b56ab04df432aa84f14d94f3af2ef65c10141df37ffe60f216c0505fc43178",
"txLink": "https://explorer.zksync.io/tx/0x37b56ab04df432aa84f14d94f3af2ef65c10141df37ffe60f216c0505fc43178",
"amount": "999255",
"token": {
"address": "0x493257fD37EDB34451f62EDf8D2a0C418852bA4C",
"chainId": 324,
"symbol": "USDT",
"decimals": 6,
"name": "Tether USD",
"coinKey": "USDT",
"logoURI": "https://static.debank.com/image/brise_token/logo_url/0xc7e6d7e08a89209f02af47965337714153c529f0/3c1a718331e468abe1fc2ebe319f6c77.png",
"priceUSD": "1.0000"
},
"chainId": 324,
"gasPrice": "250000000",
"gasUsed": "1428505",
"gasToken": {
"address": "0x0000000000000000000000000000000000000000",
"chainId": 324,
"symbol": "ETH",
"decimals": 18,
"name": "ETH",
"coinKey": "ETH",
"logoURI": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2/logo.png",
"priceUSD": "1676.49"
},
"gasAmount": "357126250000000",
"gasAmountUSD": "0.60",
"amountUSD": "1.0000",
"timestamp": 1698076232,
"value": "0"
},
"lifiExplorerLink": "https://explorer.li.fi/tx/0x37b56ab04df432aa84f14d94f3af2ef65c10141df37ffe60f216c0505fc43178",
"fromAddress": "0x552008c0f6870c2f77e5cc1d2eb9bdff03e30ea0",
"toAddress": "0x552008c0f6870c2f77e5cc1d2eb9bdff03e30ea0",
"tool": "solver3",
"status": "DONE",
"substatus": "COMPLETED",
"substatusMessage": "The transfer is complete."
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.li.fi/llms.txt
Use this file to discover all available pages before exploring further.
The integrator string to filter by
The sending OR receiving wallet address
The status of the transfers. Possible values are ALL, DONE, PENDING, and FAILED. The default is DONE
The oldest timestamp that should be taken into consideration. Defaults to 30 days ago
The newest timestamp that should be taken into consideration. Defaults to now
The chain where the transfer originates from.
The chain where the transfer ends.
The token transferred from the originating chain. To use this parameter fromChain must be set.
The token received on the destination chain. To use this parameter toChain must be set.
Response for GET /analytics/transfers endpoint
Show child attributes